<?xml version="1.0" ?>
<!DOCTYPE gui SYSTEM "gui.dtd">
<gui>
<JFrame id="main" bg="lightGray" title="Test Frame" size="(350,220)" layout="BorderLayout()"
        script="this.onWindowClosing='java.lang.System.exit(0)'">
  <JMenuBar>
      <JMenu text="File">
           <JMenuItem id="m11" text="One"/>
           <JMenuItem id="m12" text="Two"/>
      </JMenu>
  </JMenuBar>
  <JTextField id="tf1" fontSize="20" halign = "center" fg="red" bg="lightGray"
        script="this.setText(Date())"/>
  <JTextField id="tf2" fontSize="10" text="HELLO South" constraint="South"/>
  <JButton constraint="North" icon="open.gif" text = "Press me"
        script="this.onAction='var _c=getById(&quot;tf1&quot;); _c.setText(Date())'"/>
  <JPanel layout="BoxLayout(Y_AXIS)" constraint="East">
      <JLabel text="Select 1"/>
      <JRadioButton text="one" selected="true"/>
      <JRadioButton text="two"/>
      <JRadioButton text="three"/>
  </JPanel>
</JFrame>
<script>
frame=getById("main");
frame.pack();
frame.setSize(400,300);
frame.show()
</script>
</gui>